#
# spec file for package pcre (Version 6.7)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pcre
BuildRequires:  gcc-c++
Version:        6.7
Release:        27
Summary:        A library for Perl-compatible regular expressions
License:        BSD 3-Clause; Other uncritical OpenSource License
Group:          System/Libraries
AutoReqProv:    on
Url:            ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/
Source:         %name-%version.tar.bz2
Patch:          pcre-6.7-CVE-2007-1659.patch
Patch1:         pcre-6.7-CVE-2007-1660.patch
Patch2:         pcre-6.7-CVE-2006-7230.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package

%package      devel
Summary:        A library for Perl-compatible regular expressions
AutoReqProv:    on
Group:          System/Libraries
Requires:       pcre libstdc++-devel

%description
The PCRE library is a set of functions that implement regular
expression pattern matching using the same syntax and semantics as Perl
5, with very few differences. The current implementation corresponds to
Perl 5.005.



Authors:
--------
    Philip Hazel <ph10@cam.ac.uk>

%description devel
The PCRE library is a set of functions that implement regular
expression pattern matching using the same syntax and semantics as Perl
5, with very few differences. The current implementation corresponds to
Perl 5.005.



Authors:
--------
    Philip Hazel <ph10@cam.ac.uk>

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector"
export CXXFLAGS="$RPM_OPT_FLAGS -fstack-protector"
./configure --mandir=%_mandir \
	    --prefix=%_prefix \
	    --libdir=%_libdir \
	    --with-link-size=2 \
	    --with-match-limit=10000000 \
	    --enable-newline-is-lf \
	    --enable-utf8
make
%ifarch %arm
make test || echo make test failed
%else
make test
%endif

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENCE NEWS NON-UNIX-USE README
%doc doc/html doc/*.txt
%_libdir/*.so.*
/usr/bin/pcregrep
/usr/bin/pcretest
%_mandir/man1/*.gz

%files devel
%defattr(-,root,root)
/usr/bin/pcre-config
/usr/include/*
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig/libpcre.pc
%_mandir/man3/*.gz

%changelog
* Mon Nov 26 2007 - lnussel@suse.de
- fix for patch for CVE-2006-7230 by Stepan Kasal (#344010)
* Mon Nov 19 2007 - lnussel@suse.de
- another round of overflow fixes (#325921, CVE-2006-7230)
* Fri Nov 09 2007 - lnussel@suse.de
- fix overflows (#325921, CVE-2007-1659, CVE-2007-1660)
* Sat Oct 28 2006 - meissner@suse.de
- CXXFLAGS needs RPM_OPT_FLAGS too.
* Mon Jul 10 2006 - ms@suse.de
- update to new version 6.7
- finally removed evil configure patch
- When UTF-8 mode was not set, PCRE looped when compiling certain patterns
  containing an extended class (one that cannot be represented by a bitmap
  because it contains high-valued characters or Unicode property items, e.g.
  [\pZ]). Almost always one would set UTF-8 mode when processing such a
  pattern, but PCRE should not loop if you do not (it no longer does).
  [Detail: two cases were found: (a) a repeated subpattern containing an
  extended class; (b) a recursive reference to a subpattern that followed a
  previous extended class. It wasn't skipping over the extended class
  correctly when UTF-8 mode was not set.]
- Applied a patch from the folks at Google to pcrecpp.cc, to fix "another
  instance of the 'standard' template library not being so standard".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - mmj@suse.de
- build with -fstack-protector
* Thu Dec 01 2005 - ro@suse.de
- hack libtool core in configure script
  since configure.in is too broken for a autoreconf ...
* Mon Sep 19 2005 - mmj@suse.de
- update to the latest version v6.4
* Tue Aug 02 2005 - mmj@suse.de
- update to the latest version v6.2
* Thu Jun 23 2005 - mmj@suse.de
- update to latest version v6.1
* Mon Jun 13 2005 - mmj@suse.de
- add gcc-c++ to #nfb as well
* Wed Jun 08 2005 - mmj@suse.de
- update to latest version v6.0
* Mon May 23 2005 - mmj@suse.de
- use --enable-utf8
- use $RPM_OPT_FLAGS
* Thu Mar 31 2005 - uli@suse.de
- ignore test suite errors on ARM
* Mon Nov 22 2004 - choeger@suse.de
- update to latest version v5.0
* Mon Jun 07 2004 - choeger@suse.de
- update to latest version v4.5
* Mon Jan 05 2004 - schwab@suse.de
- Move pcre-config to pcre-devel.
* Fri Oct 31 2003 - choeger@suse.de
- Don't build as root
* Thu Aug 21 2003 - choeger@suse.de
- update to v4.4
* Fri Aug 01 2003 - choeger@suse.de
- disabled Test2, because it is not 64bit arch clean
  (contacted author, he knows about that problem)
* Wed Jul 30 2003 - choeger@suse.de
- update to most recent version v4.3
- splitted into -devel subpackage
* Fri Dec 06 2002 - coolo@suse.de
- removed undefined symbols in libpcreposix
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Apr 05 2002 - coolo@suse.de
- fixing autoheader usage
- forward ported %%libdir changes from sles7-s390x
* Tue Jan 22 2002 - choeger@suse.de
- update to version 3.9
- added BuildRoot
* Tue Aug 21 2001 - mge@suse.de
- pcre 3.5
* Wed Apr 11 2001 - froh@suse.de
- suse_update_config
* Mon Dec 04 2000 - mge@suse.de
- pcre 3.4
* Tue Jun 27 2000 - mge@suse.de
- pcre 3.2
* Thu Mar 02 2000 - mge@suse.de
- fixed manpath
* Sun Feb 13 2000 - mge@suse.de
- update to 3.1
- group tag
* Mon Oct 25 1999 - mge@suse.de
- initial SuSE-RPM: changed Makefile to install into /usr
